classification
Title: IDLE: Create new tab for editor options in configdialog
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE: configdialog tab rearrange
View: 40468
Assigned To: terry.reedy Nosy List: cheryl.sabella, epaine, markroseman, terry.reedy
Priority: normal Keywords: patch

Created on 2018-03-11 19:26 by cheryl.sabella, last changed 2021-06-10 05:41 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6082 closed cheryl.sabella, 2018-03-11 19:32
Messages (6)
msg313618 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-03-11 19:26
Split out editor options from general tab in Config Dialog.
msg316882 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-17 05:51
I expected that this would be needed eventually.  Any particular reason why now?
msg316942 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-05-17 14:57
Yes, I thought it would be good to have this before issue33046.
msg316947 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-05-17 15:28
A new option would (maybe) apply to saving the shell also.  (Something to discuss there.)
msg375508 - (view) Author: E. Paine (epaine) * Date: 2020-08-16 14:30
Thank you Cheryl for linking this issue on #40468 (I didn't find this when researching for existing issues). I have briefly tested the PR and it seems perfect, though seeing `init_validators` made me think we should possibly have an ABC for the tab pages. This would be a separate issue, but I think there would be three main advantages:
1. We could enforce a more standard naming of page methods (`create_page_*` would become `create_page` and be called by the parent, for example)
2. We could share methods like `init_validators` (which would preferably be part of the class but I appreciate the need to move it in this PR)
3. We can also potentially remove the example `TabPage` as the ABC would serve as its own example

Back to this issue, I didn't scrutinise it but the PR looks good and the "result" (user-facing) is exactly as I would propose based on #40468.
msg375613 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2020-08-18 12:45
@epaine, thank you for taking a look at that PR and for your feedback.  I agree with you that the changes can still be taken further than we've already done.  `init_validators` was added after the initial refactoring and I'm not sure if we've gone back to it to really use it or any other input validators.  There's another bug issue (#31306) that addresses the validation on configdialog, so maybe your ideas can be incorporated with that issue.
History
Date User Action Args
2021-06-10 05:41:08terry.reedysetstatus: open -> closed
superseder: IDLE: configdialog tab rearrange
resolution: duplicate
stage: patch review -> resolved
2020-10-23 15:48:39markrosemansetnosy: + markroseman
2020-08-18 12:45:26cheryl.sabellasetmessages: + msg375613
2020-08-16 14:30:36epainesetnosy: + epaine

messages: + msg375508
versions: + Python 3.9, Python 3.10
2018-05-17 15:28:12terry.reedysetmessages: + msg316947
2018-05-17 14:57:30cheryl.sabellasetmessages: + msg316942
2018-05-17 05:51:33terry.reedysetmessages: + msg316882
2018-03-11 19:32:18cheryl.sabellasetkeywords: + patch
stage: patch review
pull_requests: + pull_request5843
2018-03-11 19:26:19cheryl.sabellacreate